SbStringList(3)

NAME
SbStringList - The SbStringList class is a container for pointers to SbString objects.

SYNOPSIS

#include <Inventor/lists/SbStringList.h>

Inherits SbPList.

  Public Member Functions
SbStringList (void)
SbStringList (const int sizehint)
void append (SbString *string)
int find (SbString *string) const
void insert (SbString *string, int insertbefore)
SbString *& operator[] (const int idx) const
const SbString ** getArrayPtr (void) const
Public Member Functions inherited from SbPList
SbPList (const int sizehint=DEFAULTSIZE)
SbPList (const SbPList &l)
~SbPList ()
void copy (const SbPList &l)
SbPList & operator= (const SbPList &l)
void fit (void)
void append (void *item)
int find (const void *item) const
void insert (void *item, const int insertbefore)
void removeItem (void *item)
void remove (const int index)
void removeFast (const int index)
int getLength (void) const
void truncate (const int length, const int fit=0)
void ** getArrayPtr (const int start=0) const
void *& operator[] (const int index) const
int operator== (const SbPList &l) const
int operator!= (const SbPList &l) const
void * get (const int index) const
void set (const int index, void *item)

  Additional Inherited Members
Protected Member Functions inherited from SbPList
void expand (const int size)
int getArraySize (void) const

Detailed Description

The SbStringList class is a container for pointers to SbString objects. Note that upon using the equality and inequality operators, the strings themselves are not compared, only the pointer values.

This class does not allocate or deallocate strings. It's the callers responsibility to allocate/deallocate the SbString instances.

See also
    SbPList

Constructor & Destructor Documentation

  SbStringList::SbStringList (void ) [inline]
Default constructor.

  SbStringList::SbStringList (const int sizehint) [inline]
This constructor initializes the internal allocated size for the list to sizehint. Note that the list will still initially contain zero items.

See also
    SPbList::SbList(const int sizehint)

Member Function Documentation

  void SbStringList::append (SbString * string) [inline]
Append item to the end of the list.

Automatically allocates more items internally if needed.

Overloaded from parent to accept an SbString pointer argument.

See also
    SbPList::append()

  int SbStringList::find (SbString * string) const [inline]
Return index of first occurrence of item in the list, or -1 if item is not present.

Overloaded from parent to accept an SbString pointer argument.

See also
    SbPList::find()

  void SbStringList::insert (SbString * string, int insertbefore) [inline]
Insert item at index insertbefore.

insertbefore should not be larger than the current number of items in the list.

Overloaded from parent to accept an SbString pointer argument.

See also
    SbPList::insert()

  SbString *& SbStringList::operator[] (const int idx) const [inline]
Returns element at index.

Will automatically expand the size of the internal array if index is outside the current bounds of the list. The values of any additional pointers are then set to NULL.

Overloaded from parent to return an SbString pointer.

See also
    SbPList::operator[]()

  const SbString ** SbStringList::getArrayPtr (void ) const [inline]
Returns pointer to a non-modifiable array of the lists elements. start specifies an index into the array.

The caller is not responsible for freeing up the array, as it is just a pointer into the internal array used by the list.

Overloaded from parent to return an SbString pointer array.

See also
    SbPList::getArrayPtr()

Author

Generated automatically by Doxygen for Coin from the source code.